Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaDoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.scala.ScalaDoc

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, org.gradle.util.Configurable<Task>

    public class ScalaDoc

extends SourceTask

Generates HTML API documentation for Scala source files.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`ScalaDoc()`

Method Summary
`protected void` | `generate()`
`org.gradle.api.tasks.scala.AntScalaDoc` | `getAntScalaDoc()`
`Iterable<File>` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`File` | `getDestinationDir()` Returns the directory to generate the API documentation into.
`FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the ScalaDoc tool.
`org.gradle.api.tasks.scala.ScalaDocOptions` | `getScalaDocOptions()` Returns the ScalaDoc generation options.
`String` | `getTitle()` Returns the documentation title.
`void` | `setAntScalaDoc(org.gradle.api.tasks.scala.AntScalaDoc antScalaDoc)`
`void` | `setClasspath(FileCollection classpath)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setScalaClasspath(FileCollection scalaClasspath)`
`void` | `setScalaDocOptions(org.gradle.api.tasks.scala.ScalaDocOptions scalaDocOptions)`
`void` | `setTitle(String title)`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScalaDoc

    public ScalaDoc()

Method Detail

### getAntScalaDoc

    public org.gradle.api.tasks.scala.AntScalaDoc getAntScalaDoc()

### setAntScalaDoc

    public void setAntScalaDoc(org.gradle.api.tasks.scala.AntScalaDoc antScalaDoc)

### getDestinationDir

    public File getDestinationDir()

  Returns the directory to generate the API documentation into.

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### getClasspath

    public Iterable<File> getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### setClasspath

    public void setClasspath(FileCollection classpath)

### getScalaClasspath

    public FileCollection getScalaClasspath()

  Returns the classpath to use to load the ScalaDoc tool.

### setScalaClasspath

    public void setScalaClasspath(FileCollection scalaClasspath)

### getScalaDocOptions

    public org.gradle.api.tasks.scala.ScalaDocOptions getScalaDocOptions()

  Returns the ScalaDoc generation options.

### setScalaDocOptions

    public void setScalaDocOptions(org.gradle.api.tasks.scala.ScalaDocOptions scalaDocOptions)

### getTitle

    public String getTitle()

  Returns the documentation title.

### setTitle

    public void setTitle(String title)

### generate

    protected void generate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD